#ifndef UTIL_H_
#define UTIL_H_



#include "id3_util.h"
#include <stdbool.h>
#include <stddef.h>
#include <sys/stat.h>
#include <sys/types.h>



/*****************************************************************************
 *
 * Types.
 *
 *****************************************************************************/

enum MessageType
{
	INFO,
	WARNING,
	ERROR
};



/*****************************************************************************
 *
 * Functions.
 *
 *****************************************************************************/

void 	print_message( const char* message, const enum MessageType mess_type, bool show_sys_error );
ssize_t get_file_size( int fd );
ino_t 	get_inode_from_path( const char* const path );
ino_t 	get_inode_from_descriptor( int fd );
char* 	convert_to_utf_8( enum Encoding enc, char* string_buffer, size_t str_buffer_size );
char** 	split( char* string, char delimiter, int* token_count );
char* 	trim( char* const string );
char*  	replace_filename_chars( char* const filename );
bool 	directory_is_empty( const char* directory );
void* 	xcalloc( size_t count, size_t eltsize );



#endif /* UTIL_H_ */
